class SmartHeaterSimulator:
    def __init__(self):
        self.level = 4
        self.status = False

    def get_level(self):
        return self.level
    
    def get_status(self):
        return self.status

    def turn_on(self):
        if not self.status:
            self.status = True

    def turn_off(self):
        if self.status:
            self.status = False

    def increase_level(self):
        if self.status and self.level < 6:
            self.level += 1

    def decrease_level(self):
        if self.status and self.level > 0:
            self.level -= 1


class SmartHeater:
    def __init__(self):
        self.real_device = SmartHeaterSimulator()
        self.level = 4
        self.status = False

    def turn_on(self):
        # Turns the heater on
        self.status = True

        print(f"turn_on()")
        self.real_device.turn_on()

    def turn_off(self):
        # Turns the heater off
        self.status = False

        print(f"turn_off()")
        self.real_device.turn_off()

    def increase_level(self):
        # Increases the level of the heater
        self.level += 1

        print(f"increase_level()")
        self.real_device.increase_level()

    def decrease_level(self):
        # Decreases the level of the heater
        self.level -= 1


        print(f"decrease_level()")
        self.real_device.decrease_level()

# Turn the heater on. But only level 1.
smartHeater = SmartHeater()
smartHeater.turn_on()


# COMMENTED OUT - (SYNTAX ERROR): Consider the following python class:

class Robot:
    def __init__(self):
        self.arm = False # Whether the arm is extended or retracted
        self.legs = False # Whether the legs are extended or retracted
        self.sensors = False # Whether the sensors are active or not

    def extend_arm(self):
        # Extends the arm
        self.arm = True

    def extend_legs(self):
        # Extends the legs
        self.legs = True

    def activate_sensors(self):
        # Activates the sensors
        self.sensors = True

    def deactivate_sensors(self):
        # Deactivates the sensors
        self.sensors = False

# COMMENTED OUT - (SYNTAX ERROR): Write code that fulfills the task: "Extend the arm, then extend the legs, then activate the sensors.".


























































































































































































































































































































































































































































































































































































































































































































MS











































simulator = smartHeater.real_device
print(simulator.status and simulator.level == 1)